<?php if ( ! defined( 'ABSPATH' ) ) exit; 
/*
Plugin Name: Woo Installments
Plugin URI: http://www.websitedesignwebsitedevelopment.com/wordpress/plugins/woo-installments
Description: Woo Installments is a great plugin to sell your products like courses in partial payments. Your audience will be really happy with this.
Version: 1.1.2
Author: Fahad Mahmood 
Author URI: http://www.androidbubbles.com
Text Domain: woo-installments
Domain Path: /languages/
License: GPL2


Woo Installments is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
any later version.
 
Woo Installments is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with Woo Installments. If not, see http://www.gnu.org/licenses/gpl-2.0.html.
*/ 
	
        
	require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
        
	global $woo_inst_currency, $woo_inst_settings, $woo_inst_variable_product, $woo_inst_activated, $woo_inst_pro_settings, $woo_inst_pro;
	global $woo_inst_premium_link, $woo_inst_data, $woo_inst_dir, $woo_inst_all_plugins, $woo_inst_plugins_activated, $woo_inst_url;
	
	
	
	$woo_inst_activated = false;
	$woo_inst_url = plugin_dir_url( __FILE__ );
	$woo_inst_all_plugins = get_plugins();
	$woo_inst_plugins_activated = apply_filters( 'active_plugins', get_option( 'active_plugins' ));
	
	if(is_multisite()){			
		
		$active_sitewide_plugins = get_site_option( 'active_sitewide_plugins' );
		
		$woo_inst_plugins_activated = array_keys($active_sitewide_plugins);		
		
	}
		
	if(array_key_exists('woocommerce/woocommerce.php', $woo_inst_all_plugins) && in_array('woocommerce/woocommerce.php', $woo_inst_plugins_activated)){
		$woo_inst_activated = true;
	}

	$woo_inst_dir = plugin_dir_path( __FILE__ );
	$woo_inst_pro = file_exists($woo_inst_dir.'pro/wi_extended.php');
	$woo_inst_premium_link = 'http://shop.androidbubbles.com/product/woo-installments-pro';
	$woo_inst_data = get_plugin_data(__FILE__);
	
	
	include('inc/functions.php');
        
	register_activation_hook(__FILE__, 'woo_inst_start');

	//KBD END WILL REMOVE .DAT FILES	

	register_deactivation_hook(__FILE__, 'woo_inst_end' );




	add_action( 'wp_enqueue_scripts', 'woo_inst_register_scripts' );
	
	if($woo_inst_pro)
	woo_inst_backup_pro();

	
	function woo_inst_backup_pro($src='pro', $dst='') { 

		$plugin_dir = plugin_dir_path( __FILE__ );
		$uploads = wp_upload_dir();
		$dst = ($dst!=''?$dst:$uploads['basedir']);
		$src = ($src=='pro'?$plugin_dir.$src:$src);
		
		$pro_check = basename($plugin_dir);

		$pro_check = $dst.'/'.$pro_check.'.dat';

		if(file_exists($pro_check)){
			if(!is_dir($plugin_dir.'pro')){
				mkdir($plugin_dir.'pro');
			}
			$files = file_get_contents($pro_check);
			$files = explode('\n', $files);
			if(!empty($files)){
				foreach($files as $file){
					
					if($file!=''){
						
						$file_src = $uploads['basedir'].'/'.$file;
						//echo $file_src.' > '.$plugin_dir.'pro/'.$file.'<br />';
						//copy($file_src, $plugin_dir.'pro/'.$file);

						$trg = $plugin_dir.'pro/'.$file;
						if(!file_exists($trg))
						@copy($file_src, $trg);
						
					}
				}//exit;
			}
		}
		
		if(is_dir($src)){
			if(!file_exists($pro_check)){
				$f = fopen($pro_check, 'w');
				fwrite($f, '');
				fclose($f);
			}	
			$dir = opendir($src); 
			@mkdir($dst); 
			while(false !== ( $file = readdir($dir)) ) { 
				if (( $file != '.' ) && ( $file != '..' )) { 
					if ( is_dir($src . '/' . $file) ) { 
						woo_inst_backup_pro($src . '/' . $file, $dst . '/' . $file); 
					} 
					else { 
						$dst_file = $dst . '/' . $file;
						
						if(!file_exists($dst_file)){
							
							copy($src . '/' . $file,$dst_file); 
							$f = fopen($pro_check, 'a+');
							fwrite($f, $file.'\n');
							fclose($f);
						}
					} 
				} 
			} 
			closedir($dir); 
			
		}	
	}
	
	
		
	if(is_admin()){
		add_action( 'admin_menu', 'woo_inst_menu' );	
		$plugin = plugin_basename(__FILE__); 
		add_filter("plugin_action_links_$plugin", 'woo_inst_plugin_links' );	
		
		add_action( 'admin_enqueue_scripts', 'woo_inst_admin_scripts', 99 );
		
		if($woo_inst_pro)
		add_action( 'admin_enqueue_scripts', 'woo_inst_pro_admin_style', 99 );
		
		if($woo_inst_pro){					
			include($woo_inst_dir.'pro/wi_extended.php');
		}
		
		
		
	}else{
		

		if($woo_inst_pro){					
			include($woo_inst_dir.'pro/wi_extended.php');
		}
		
	}


	